#ifndef _RECT__HPP_
#define _RECT__HPP_

#include "Shape.hpp"

class Rect: public Shape {
	
	protected:
		double width;
		double height;
	
	public:
		Rect(Point center, double width, double height);
		virtual ~Rect();
		virtual double area();
		virtual double perimeter();
		virtual bool inShape(Point p);
		virtual void scale(double scaleFactor);
					
};

#endif
