#ifndef _RATIONAL_HPP_
#define _RATIONAL_HPP_

#include <string>

class Rational {
/* variablen public gemacht damit funktion zur inputstream überladung drauf zugreifen darf
	private:
		int zaehler;
		int nenner;
*/	
	public:
		int zaehler;
		int nenner;
		
		explicit Rational(int z=0, int n=1);
		std::string toString() const;
		
		Rational operator*(const Rational& rechts) const;
		Rational& operator*=(const Rational& rechts);
		Rational operator+(const Rational& rechts) const;
		Rational& operator+=(const Rational& rechts);
		Rational operator-(const Rational& rechts) const;
		Rational& operator-=(const Rational& rechts);
		Rational operator/(const Rational& rechts) const;
		Rational& operator/=(const Rational& rechts);
		
		bool operator==(const Rational& rechts);
		bool operator!=(const Rational& rechts);
		bool operator<(const Rational& rechts);
		bool operator<=(const Rational& rechts);
		bool operator>(const Rational& rechts);
		bool operator>=(const Rational& rechts);
};

std::ostream& operator<<(std::ostream& os, const Rational& r);
std::istream& operator>>(std::istream& is, Rational& r);

#endif
