#ifndef _MOVABLE_HPP_
#define _MOVABLE_HPP_

#include "Point.hpp"

/**
 * Interface fuer bewegliche Objekte.
 */
class Movable {

	/**
	 * Verschiebt das Objekt
	 *
	 * @param p Punkt, um dessen Koordinaten verschoben werden soll (d.h. p wird als Vektor aufgefasst)
	 */
	virtual void move(Point p) = 0;
};

#endif
